<template>
    <aside class="main-sidebar elevation-4 sidebar-light-danger" v-if="isAuthenticated">
        <!-- Brand Logo -->
        <a href="#" target="_blank" class="brand-link text-center">
            <img src="/img/logo.png" alt="Laravel" class=""
                 style="opacity: .8; max-height: 42px;">
        </a>

        <!-- Sidebar -->
        <div class="sidebar os-host os-theme-light os-host-overflow os-host-overflow-y os-host-resize-disabled os-host-scrollbar-horizontal-hidden os-host-transition">
            <!-- Sidebar user panel (optional) -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex" style="display: none !important;">
                <div class="image">
                    <img src="/img/user2-160x160.jpg"
                         class="img-circle elevation-2" alt="User Image">
                </div>
                <div class="info">
                    <a href="#" class="d-block">Username</a>
                </div>
            </div>
            <!-- Sidebar Menu -->
            <nav class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                    <!-- Add icons to the links using the .nav-icon class
                         with font-awesome or any other icon font library -->
                    <li class="nav-item">
                        <router-link v-bind:to="{ name: 'dashboard' }" class="nav-link" v-bind:class="{ active: ['dashboard', 'home'].indexOf(activeModule) !== -1 }">
                            <i class="nav-icon fa fa-home"></i>
                            <p>Dashboard</p>
                        </router-link>
                    </li>
                    <li class="nav-item">
                        <router-link v-bind:to="{ name: 'users' }" class="nav-link" v-bind:class="{ active: ['users'].indexOf(activeModule) !== -1 }">
                            <i class="nav-icon fa fa-users"></i>
                            <p>Usuarios</p>
                        </router-link>
                    </li>
                </ul>
            </nav>
            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>
</template>

<script>
    import auth from '../auth.js';

    export default {
        data() {
            return {
                routeName: this.$route.name,
                isAuthenticated: auth.loggedIn()
            };
        },
        computed: {
            activeModule() {
                if (!this.routeName) {
                    return '';
                }
                return this.routeName.split('.')[0];
            }
        },
        watch: {
            '$route' (to, from) {
                this.routeName = to.name;
            }
        }
    };
</script>
